<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();

   include("../scripts/session.php");
   //Validar Session

   $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	 header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }

    //fin validar session


$id_dist = $sesion->id;
$tipop="";
//echo $id_dist;
/*
$search = "SELECT idtransacciones, inversionista_id_inver,  tipostr_idtipostr, fechat, usuarios_ci_idusuarios_ci, cdentrega, banco_idbanco, no_ficha, cantidad FROM `transacciones` join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones  WHERE (tipostr_idtipostr = 8 or tipostr_idtipostr = 7 or tipostr_idtipostr = 2 or tipostr_idtipostr = 3) and fechat>='2018-01-01' ";
*/

$search = "SELECT idtransacciones, inversionista_id_inver,  tipostr_idtipostr, fechat, usuarios_ci_idusuarios_ci, cdentrega, banco_idbanco, no_ficha, cantidad FROM `transacciones` join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones  WHERE cdentrega=8 and statusentrega='PENDIENTE' and fechat>='2021-01-01' order by fechat desc";

$ca = mysqli_query($conexion, $search) or die ('Error al buscar las trim(str)ansacciones' . mysqli_error($conexion));
if(mysqli_affected_rows($conexion) > 0){
	echo "<div style='text-align:center;''>
			<table border='1' style='margin: 0 auto;'>
			<tbody>
				<tr>
					<th>ID Pedido</th><th>Cant</th><th>Ref</th>
		
					<th>Nombre</th>
					<th>Fecha</th>
					<th>CDVta</th><th>CDE</th>
				</tr>";

	while($r = mysqli_fetch_row($ca)){
	
		
		$i = mysqli_query($conexion, "SELECT * FROM `inversionista` WHERE `id_inver` = $r[1] ");
		$inver = mysqli_fetch_row($i);
		if($r[0] && $inver[0] && $inver[1] && $r[3])
			echo "<form method='post' action='cambiaentrega.php'></tr>
			
					<td><input type='hidden' value='$r[0]' name='id_trans'> $r[0] </td><td><input type='hidden' value='$r[8]' name='cant'> $r[8] </td>
					<td>$r[1]</td>					<td><input type='hidden' value='$inver[7]' name='inver'> $inver[7] $inver[5] $inver[6] </td>
					<td><input type='hidden' value='$r[3]' name='fecha'> $r[3] </td>
					<td>$r[4]</td><td><input type='hidden' value='$trans_r' name='tiponota'>$r[5]</td>
				
					<td><input type='submit' value='Cambiar cd entrega a 12'></td>

				</tr></form>";
	}
	echo "</tbody></table></div>";
}
else
	echo "<h2 style='text-align:center;'>No tienes transacciones</h2>";